DefaultCMSSignatureAlgorithmNameGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Class DefaultCMSSignatureAlgorithmNameGenerator

- java.lang.Object
- - org.bouncycastle.cms.DefaultCMSSignatureAlgorithmNameGenerator

- All Implemented Interfaces:
    CMSSignatureAlgorithmNameGenerator

      public class DefaultCMSSignatureAlgorithmNameGenerator
      extends java.lang.Object
      implements CMSSignatureAlgorithmNameGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCMSSignatureAlgorithmNameGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSignatureName(org.bouncycastle.asn1.x509.AlgorithmIdentifier digestAlg, org.bouncycastle.asn1.x509.AlgorithmIdentifier encryptionAlg)` Return the digest algorithm using one of the standard string representations rather than the algorithm object identifier (if possible).
    `protected void` | `setSigningDigestAlgorithmMapping(org.bouncycastle.asn1.ASN1ObjectIdentifier oid, java.lang.String algorithmName)` Set the mapping for the digest algorithm to use in conjunction with a SignedData generation or interpretation.
    `protected void` | `setSigningEncryptionAlgorithmMapping(org.bouncycastle.asn1.ASN1ObjectIdentifier oid, java.lang.String algorithmName)` Set the mapping for the encryption algorithm used in association with a SignedData generation or interpretation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCMSSignatureAlgorithmNameGenerator

          public DefaultCMSSignatureAlgorithmNameGenerator()

  - ### Method Detail

    - #### setSigningEncryptionAlgorithmMapping

          protected void setSigningEncryptionAlgorithmMapping(org.bouncycastle.asn1.ASN1ObjectIdentifier oid,
                                                  java.lang.String algorithmName)

      Set the mapping for the encryption algorithm used in association with a SignedData generation or interpretation.
      Parameters:
        `oid` - object identifier to map.
        `algorithmName` - algorithm name to use.

    - #### setSigningDigestAlgorithmMapping

          protected void setSigningDigestAlgorithmMapping(org.bouncycastle.asn1.ASN1ObjectIdentifier oid,
                                              java.lang.String algorithmName)

      Set the mapping for the digest algorithm to use in conjunction with a SignedData generation or interpretation.
      Parameters:
        `oid` - object identifier to map.
        `algorithmName` - algorithm name to use.

    - #### getSignatureName

          public java.lang.String getSignatureName(org.bouncycastle.asn1.x509.AlgorithmIdentifier digestAlg,
                                          org.bouncycastle.asn1.x509.AlgorithmIdentifier encryptionAlg)

      Description copied from interface: `CMSSignatureAlgorithmNameGenerator`
      Return the digest algorithm using one of the standard string representations rather than the algorithm object identifier (if possible).
      Specified by:
        `getSignatureName` in interface `CMSSignatureAlgorithmNameGenerator`
      Parameters:
        `digestAlg` - the digest algorithm id.
        `encryptionAlg` - the encryption, or signing, algorithm id.